\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Arrangements

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Member Functions
CGAL::Arr_polycurve_traits_2< GeometryTraits_2 >::Trim_2 Class Reference

`#include <CGAL/Arr_polycurve_traits_2.h>`

## Public Member Functions
X_monotone_curve_2 | operator() (const X_monotone_curve_2 &xcv, const Point_2 &src, const Point_2 &tgt) const
| Obtain a trimmed version of the polycurve with src and tgt as end vertices. More...

## Member Function Documentation

template<typename GeometryTraits_2 >

X_monotone_curve_2 CGAL::Arr_polycurve_traits_2< GeometryTraits_2 >::Trim_2::operator() | ( | const X_monotone_curve_2 & | xcv,
|  | const Point_2 & | src,
|  | const Point_2 & | tgt
| ) |  | const

Obtain a trimmed version of the polycurve with src and tgt as end vertices.

Src and tgt will be swaped if they do not conform to the direction of the polycurve.